
Redmine - Defect #1728

Duplicate logtime entry at edit time

2008-08-01 04:38 - Carol Gagne

Status: Closed Start date: 2008-08-01

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed Affected version: 0.7.3

Description

In the parent project TimeLog Details view, Redmine create a duplicate logtime entry

at edit time.

INFO

Database: postgres (PostgreSQL) 8.1.11

Ruby: ruby 1.8.6 (2007-09-24 patchlevel 111) [i386-mswin32], 2007-12-14 Release 26

Rails: rails (2.0.2)

Redmine: Version 0.7.1

BUG DESCRIPTION

In the parent project TimeLog Details view, Redmine create a duplicate logtime entry at edit time.

STEPS TO REPRODUCE:

1. Create a ParentProject

2. Create a ChildProject (subproject of ParentProject)

3. In the ChildProject, create an issue (let’s say a task)

4. Create a logtime entry for the issue: ex.: filing bug report 0.5 hour.

5. From the ParentProject’s TimeLog details view, edit step 4 issue’s Hours field from 0.5 to 1.0 hour.

NOTES

Observe there are now two logtime entries, the original one with 0.5 hour and the duplicate one with 1 hour. For my part, I

expect only on entry.

If you do the same steps at the ChildProject's TimeLog details view; there is not duplicate

Thank you

Associated revisions

Revision 1713 - 2008-08-03 11:27 - Jean-Philippe Lang

Fixed: logtime entry duplicated when edited from parent project (#1728).

History

#1 - 2008-08-03 11:25 - Jean-Philippe Lang

- Category set to Time tracking

- Status changed from New to Closed

- Target version set to 0.8

- Affected version (unused) set to 0.7.3

- Resolution set to Fixed

- Affected version set to 0.7.3

Thanks for this detailed bug report.

It's fixed in r1713.
